<?php
namespace Mirasvit\Search\Controller\Adminhtml\Stopword\DoImport;

/**
 * Interceptor class for @see \Mirasvit\Search\Controller\Adminhtml\Stopword\DoImport
 */
class Interceptor extends \Mirasvit\Search\Controller\Adminhtml\Stopword\DoImport implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\Search\Repository\StopwordRepository $stopwordRepository, \Mirasvit\Search\Service\StopwordService $stopwordService, \Magento\Framework\Filesystem\DirectoryList $directoryList, \Magento\Backend\App\Action\Context $context)
    {
        $this->___init();
        parent::__construct($stopwordRepository, $stopwordService, $directoryList, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function execute()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'execute');
        return $pluginInfo ? $this->___callPlugins('execute', func_get_args(), $pluginInfo) : parent::execute();
    }

    /**
     * {@inheritdoc}
     */
    public function dispatch(\Magento\Framework\App\RequestInterface $request)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'dispatch');
        return $pluginInfo ? $this->___callPlugins('dispatch', func_get_args(), $pluginInfo) : parent::dispatch($request);
    }
}
